Foxit PDF RDK

Static Public Member Functions | List of all members
Codec Class Reference
Inheritance diagram for Codec:

## Static Public Member Functions
static | Base64Decode (encoded_data_buffer, length)
| Decode the encoded data buffer by Base64 algorithm. More...
static | Base64Encode (data_buffer, length)
| Encode the source data buffer by Base64 algorithm. More...
static | FlateCompress (data_buffer, length)
| Compress the source data buffer by DEFLATE algorithm. More...
static | FlateDecompress (compressed_data_buffer, length)
| Decompress the compressed data buffer by DEFLATE algorithm. More...

## Additional Inherited Members
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class provides utility functions such as encoding or compression. Foxit PDF SDK library should has been initialized successfully by function Library.Initialize before calling any function of this class.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ Base64Decode()

static Codec.Base64Decode | ( | encoded_data_buffer | ,
|  | length |
| ) |  |
| static

Decode the encoded data buffer by Base64 algorithm.

Parameters

  [in] | encoded_data_buffer | The encoded source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decoded data.

## ◆ Base64Encode()

static Codec.Base64Encode | ( | data_buffer | ,
|  | length |
| ) |  |
| static

Encode the source data buffer by Base64 algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The encoded data.

## ◆ FlateCompress()

static Codec.FlateCompress | ( | data_buffer | ,
|  | length |
| ) |  |
| static

Compress the source data buffer by DEFLATE algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The compressed data.

## ◆ FlateDecompress()

static Codec.FlateDecompress | ( | compressed_data_buffer | ,
|  | length |
| ) |  |
| static

Decompress the compressed data buffer by DEFLATE algorithm.

Parameters

  [in] | compressed_data_buffer | The compressed source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decompressed data.